Up

# NSOrthography class documentation

### Authors

Gregory Casamento (`greg.casamento@gmail.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

# Software documentation for the NSOrthography class

## NSOrthography : NSObject

> Declared in:
>   Foundation/NSOrthography.h

> Conforms to:
>   NSCopying
>   NSCoding

Availability: MacOS-X 10.6.0
Description forthcoming.

Instance Variables
Method summary

- +defaultOrthographyForLanguage:
- +orthographyWithDominantScript:languageMap:
- -allLanguages
- -allScripts
- -dominantLanguage
- -dominantLanguageForScript:
- -dominantScript
- -initWithDominantScript:languageMap:
- -languagesForScript:
- -languationMap

### defaultOrthographyForLanguage:

+ (instancetype) defaultOrthographyForLanguage: (NSString*)language;
Availability: MacOS-X 10.6.0
Description forthcoming.

### orthographyWithDominantScript: languageMap:

+ (instancetype) orthographyWithDominantScript: (NSString*)script languageMap: (NSDictionary*)map;
Availability: MacOS-X 10.6.0
Description forthcoming.

### allLanguages

- (NSArray*) allLanguages;
Availability: MacOS-X 10.6.0
Description forthcoming.

### allScripts

- (NSArray*) allScripts;
Availability: MacOS-X 10.6.0
Description forthcoming.

### dominantLanguage

- (NSString*) dominantLanguage;
Availability: MacOS-X 10.6.0
Description forthcoming.

### dominantLanguageForScript:

- (NSString*) dominantLanguageForScript: (NSString*)script;
Availability: MacOS-X 10.6.0
Description forthcoming.

### dominantScript

- (NSString*) dominantScript;
Availability: MacOS-X 10.6.0
Description forthcoming.

### initWithDominantScript: languageMap:

- (instancetype) initWithDominantScript: (NSString*)script languageMap: (NSDictionary*)map;
Availability: MacOS-X 10.6.0
Description forthcoming.

### languagesForScript:

- (NSArray*) languagesForScript: (NSString*)script;
Availability: MacOS-X 10.6.0
Description forthcoming.

### languationMap

- (NSDictionary*) languationMap;
Availability: MacOS-X 10.6.0
Description forthcoming.

## Instance Variables for NSOrthography Class

### _dominantScript

@protected NSString* _dominantScript;
Availability: MacOS-X 10.6.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _languageMap

@protected NSDictionary* _languageMap;
Availability: MacOS-X 10.6.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up